function Message(messageURI){
	this.msgURI=messageURI;
	this.classifications = new Array();
	this.sorted=false;
	this.compare=function(a,b){
		if(a.perc<b.perc) return 1;
		else if (a.perc>b.perc) return -1;
		else return 0;
	}
	this.sortIfNeeded=function(){
		if(!this.sorted){
			 this.classifications.sort(this.compare);
			this.sorted=true;
		}
	}
	this.getBest=function() {
		this.sortIfNeeded();
		if(!this.classifications || this.classifications.length==0) return null;
		return this.classifications[0].uFolder;
	}
	this.getClassifications=function(){
		this.sortIfNeeded();
		return this.classifications;
	}
	this.isClassified=function(){
		return this.classifications.length>0;
	}
	this.setClassification=function(ufolder,perc){
		classi=new Classification(this,ufolder,perc);
		this.sorted=false;
		this.classifications.push(classi);
	}
	this.removeClassifications=function(){
		this.classifications=new Array();
	}
	this.removeFolder=function(mozFolder){
		ret=new Array();
		for(c in this.classifications){
			classi=this.classifications[c];
			moz=classi.uFolder.mozillaFolder;
			if(moz!=mozFolder){
				ret.push(classi);
			}
		}
		this.classifications=ret;
	}
}
